Subject: Re: [bug#61009] [PATCH] Building Icecat and jemalloc on aarch64-linux

From: Leo Famulari <[email-masked]>
Date: Sun, 5 Feb 2023 18:32:41 +0100

On Sun, Jan 22, 2023 at 09:06:43PM +0100, Roman Scherer wrote:
> 2. Disable EME on aarch64-linux
> 
> I removed the --disable-eme option on aarch64-linux because the configure
> script failed an error saying this option is not supported on this
> architecture. Since EME stands for Encrypted Media Extensions and is a
> JavaScript API for playing DRMed video content in HTML, I'm not sure if this
> is ok, or what to best do here?

Guix adheres to the Free System Distribution Guidelines, which
explicitly forbids browsers with EME support:

https://guix.gnu.org/en/about/
https://www.gnu.org/distros/free-system-distribution-guidelines.en.html

Unfortunately, I don't know the answers to your other questions.